summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorKunoiSayami <[email protected]>2022-06-10 03:10:51 +0800
committerKunoiSayami <[email protected]>2022-06-10 03:10:51 +0800
commit34e95e65b783ba6b43a810432e03993ec7f9412c (patch)
treef9a935b66992a78107f763e9446f9298e15f9f9f /test.sh
parent55b3c4bb5b8ad9ef23eec125048ff8e4fea4f7fe (diff)
feat: Add test script
Signed-off-by: KunoiSayami <[email protected]>
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..8da5e7d
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+mkdir test || true
+pushd test > /dev/null
+cmake ..
+cmake --build .
+find -type f -executable -name lock\* -exec {} 100 0 \;
+popd > /dev/null
+rm -rf test \ No newline at end of file